X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Plugins up-to-date but still getting the Update plugin tab

Posted

I keep getting the tab to update my plugins, I updated everything and I disabled some. So all the plugins I actually use are green now.

But whatever I do, close the tab, reboot, restart, whatever... every time I start Firefox the darn plugin tab comes up again. I also entered a new URL in about:config, but I still hate it that 2 tabs open up.

This issue has been going on for over a year it seems, since I read all the support pages from mozilla. I can't believe no one has found any solution to this, and mozilla hasn't done anything to solve this issue in their new versions.

I even uninstalled Firefox, cleared anything from Firefox from my windows registry and then installed the Firefox Beta version, and I still get the update plugin tab... really really annoying!

Doesn't anyone know how to get rid of this?

Chosen solution

Was that older plugin listed on the about:plugins page? Was the path revealed when you set plugin.expose_full_path incorrect?

Read this answer in context 0

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.3 r300
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.5.635
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 10.5.1 for Mozilla browsers
  • 5.1.10411.0
  • np-mswmp
  • Npdsplay dll
  • Shockwave Flash 9.0 r16

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:14.0) Gecko/20100101 Firefox/14.0.1

More Information

jscher2000
  • Top 10 Contributor
2346 solutions 20793 answers

Your plugins list (More system details...) next to your post shows both the current version of Shockwave Flash (top) and a very old version (bottom). Perhaps that's the problem? Please see these threads about removing an old version of Flash.

cor-el
  • Top 10 Contributor
  • Moderator
10738 solutions 96600 answers

See these articles for some suggestions:

If you do not keep changes after a restart then see:

Question owner

I have Shockwave Flash 9.0.16.0 installed but I also have the newest version 11.3.300.268 installed. So I thought that might be the issue. I have uninstalled everything I could find concerning flash but to no avail.

The new flash version is gone yes, but the 9.0.16.0 is still there and I can't find how to uninstall that one. I can't find it anywhere on my harddrive, not in any plugin folder, not in program flies nor windows folders.

I downloaded a flash uninstall program from the adobe website, but that didn't help either.

Would be soooo nice just to be able to shut down the stupid plugins update tab. Why Mozilla insists on updating everything even though I might not want to baffles me. There should be an option to turn this feature off. I'd like to be boss of my computer and it's software, and not have some programmer force me into something I can't or don't want to fix.

Anyway; thanks for your help and suggestions, I appreciate it.

jscher2000
  • Top 10 Contributor
2346 solutions 20793 answers

Chosen Solution

Was that older plugin listed on the about:plugins page? Was the path revealed when you set plugin.expose_full_path incorrect?

Question owner

YES! I found it. The flash 9 version was a part of Foxit PDF Reader. I deleted the plugin and..... the problem still wasn't over... Yes flash was gone but I still got the update plugins tab.

Then I enabled all the plugins and Microsoft DRM came up as outdated. With your advice about the "about:plugins" page I tracked it down, deleted the darn thing and voila, finally everything works well again.

No more double tabs, no more frustrations.

Thanks jscher2000, you pointed me in the right direction.